Python SDK
import httpx
resp = httpx.get(
"https://api.decimal.ai/api/v1/manifests",
headers={"Authorization": "Bearer dai_sk_..."},
params={"agent_name": "my-agent"},
)
resp.raise_for_status()
for m in resp.json()["manifests"]:
print(m["version_label"], m["manifest_hash"][:8])decimalai manifests list --agent-name my-agentconst options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.decimal.ai/api/v1/manifests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"manifests": [
{
"id": "mfst_001",
"project_id": "proj_main",
"version_label": "v2.1",
"manifest_hash": "a1b2c3d4e5f60718",
"parent_manifest_id": "mfst_000",
"status": "active",
"detection_source": "sdk",
"agent_name": "travel-planner",
"component_summary_json": {
"tools": 4,
"prompts": 2,
"models": 1
},
"components_count": 7,
"created_at": "2026-05-10T12:00:00Z"
}
],
"total": 5,
"limit": 20,
"offset": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}manifests
List manifests
List manifests in timeline order.
GET
/
api
/
v1
/
manifests
Python SDK
import httpx
resp = httpx.get(
"https://api.decimal.ai/api/v1/manifests",
headers={"Authorization": "Bearer dai_sk_..."},
params={"agent_name": "my-agent"},
)
resp.raise_for_status()
for m in resp.json()["manifests"]:
print(m["version_label"], m["manifest_hash"][:8])decimalai manifests list --agent-name my-agentconst options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.decimal.ai/api/v1/manifests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"manifests": [
{
"id": "mfst_001",
"project_id": "proj_main",
"version_label": "v2.1",
"manifest_hash": "a1b2c3d4e5f60718",
"parent_manifest_id": "mfst_000",
"status": "active",
"detection_source": "sdk",
"agent_name": "travel-planner",
"component_summary_json": {
"tools": 4,
"prompts": 2,
"models": 1
},
"components_count": 7,
"created_at": "2026-05-10T12:00:00Z"
}
],
"total": 5,
"limit": 20,
"offset": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Enter your API key (e.g. dai_sk_test_key_001)
Headers
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Cookies
Response
Successful Response
⌘I